AESAudioMetadata.FormatRegion (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove
Interface AESAudioMetadata.FormatRegion

Enclosing class:
  AESAudioMetadata

    public static interface AESAudioMetadata.FormatRegion

Public interface to the nested FormatRegion object. Instances of this should be created only by addFormatRegion, but can be accessed through the public methods of this interface.

Method Summary
`void` | `clearBitrateReduction()` Sets the bitrate reduction information to null (no compression).
`int` | `getBitDepth()` Returns the bit depth.
`java.lang.String[]` | `getBitrateReduction()` Returns the bitrate reduction (compression information).
`double` | `getSampleRate()` Returns the sample rate.
`int` | `getWordSize()` Returns the word size.
`boolean` | `isEmpty()` Returns `true` if the region is empty.
`void` | `setBitDepth(int bitDepth)` Sets the bit depth value.
`void` | `setBitrateReduction(java.lang.String codecName, java.lang.String codecNameVersion, java.lang.String codecCreatorApplication, java.lang.String codecCreatorApplicationVersion, java.lang.String codecQuality, java.lang.String dataRate, java.lang.String dataRateMode)` Sets the bitrate reduction (aka compression type).
`void` | `setSampleRate(double sampleRate)` Sets the sample rate.
`void` | `setWordSize(int wordSize)` Sets the word size.

Method Detail

### getBitDepth

    int getBitDepth()

  Returns the bit depth.

### getBitrateReduction

    java.lang.String[] getBitrateReduction()

  Returns the bitrate reduction (compression information). This will be an array of seven strings (which may be empty, but should never be null) interpreted as follows:
  - 0: codecName
  - 1: codecNameVersion
  - 2: codecCreatorApplication
  - 3: codecCreatorApplicationVersion
  - 4: codecQuality
  - 5: dataRate
  - 6: dataRateMode

### getSampleRate

    double getSampleRate()

  Returns the sample rate.

### getWordSize

    int getWordSize()

  Returns the word size.

### isEmpty

    boolean isEmpty()

  Returns `true` if the region is empty.

### setBitDepth

    void setBitDepth(int bitDepth)

  Sets the bit depth value.

### clearBitrateReduction

    void clearBitrateReduction()

  Sets the bitrate reduction information to null (no compression).

### setBitrateReduction

    void setBitrateReduction(java.lang.String codecName,
                             java.lang.String codecNameVersion,
                             java.lang.String codecCreatorApplication,
                             java.lang.String codecCreatorApplicationVersion,
                             java.lang.String codecQuality,
                             java.lang.String dataRate,
                             java.lang.String dataRateMode)

  Sets the bitrate reduction (aka compression type).

### setSampleRate

    void setSampleRate(double sampleRate)

  Sets the sample rate.

### setWordSize

    void setWordSize(int wordSize)

  Sets the word size.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD